Bug 4282 - RPM says "free list corrupt"
RPM says "free list corrupt"
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
5.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-30 23:34 EDT by John
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-31 19:24:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John 1999-07-30 23:34:58 EDT
Hi, I just tried to install an RPM, and received the
following message:

$ rpm -ivh
/usr/src/redhat/RPMS/i386/gnome-libs-devel-1.0.12-1.i386.rpm
--nodeps
gnome-libs-devel
##################################################
free list corrupt (6200584)- contact support@redhat.com


I'm using a Redhat 5.2 box, with quite a few upgrade RPMs.
I'm running Gnome rpms built from the official tarballs.
The box is a P200mmx, running kernel version 2.2.4.

What does the message mean?

Thanks,
John Karcz
Comment 1 Jeff Johnson 1999-07-31 19:24:59 EDT
Try
	rpm --rebuildb
and then repeat the command. Usually this message comes from trying
to install two versions of a package in the same cmd line.

Note You need to log in before you can comment on or make changes to this bug.